From e3bcedbd0ac77992492d60377ee528931dfbbda0 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Thu, 24 Aug 2017 17:24:12 -0700
Subject: [PATCH 18/22] usb:ipcrtr: Changing prints to pr_* from dev_*

---
 drivers/usb/misc/ipcrtr.c | 98 +++++++++++++++++++++--------------------------
 1 file changed, 44 insertions(+), 54 deletions(-)

diff --git a/drivers/usb/misc/ipcrtr.c b/drivers/usb/misc/ipcrtr.c
index 1de38b9..78a6d7e 100644
--- a/drivers/usb/misc/ipcrtr.c
+++ b/drivers/usb/misc/ipcrtr.c
@@ -167,10 +167,10 @@ static int ipcrtr_submit_inturb(struct ipcrtr *ipcrtr_ctx, gfp_t gfp_flags)
 		pr_err("IPCRTR stuct not initialized \n");
 		return -EINVAL;
 	}
-	dev_dbg(&ipcrtr_ctx->intf->dev, "%s \n",__func__);
+	pr_debug("%s \n",__func__);
 	ret = usb_submit_urb(ipcrtr_ctx->inturb, gfp_flags);
 	if (ret < 0 && ret != -EPERM)
-		dev_err(&ipcrtr_ctx->intf->dev, "int urb submit err %d\n", ret);
+		pr_err("int urb submit err %d\n", ret);
 
 	spin_lock_irqsave(&ipcrtr_ctx->lock, flags);
 	if (ret)
@@ -196,7 +196,7 @@ static void ipcrtr_write_cb(struct urb *urb)
 		pr_err("IPCRTR stuct not initialized \n");
 		return -EINVAL;
 	}
-	dev_dbg(&ipcrtr_ctx->udev->dev,"%s -- usb dev state %d urb status %d\n"
+	pr_debug("%s -- usb dev state %d urb status %d\n"
 				,__func__, urb->dev->state, urb->status);
 	if (urb->dev->state == USB_STATE_NOTATTACHED)
 		ipcrtr_ctx->write_result = -ENODEV;
@@ -225,7 +225,7 @@ static void ipcrtr_read_cb(struct urb *urb)
 		pr_err("IPCRTR stuct not initialized \n");
 		return -EINVAL;
 	}
-	dev_dbg(&ipcrtr_ctx->udev->dev,"%s -- usb dev state %d urb status %d\n"
+	pr_debug("%s -- usb dev state %d urb status %d\n"
 				,__func__, urb->dev->state, urb->status);
 	if (urb->dev->state == USB_STATE_NOTATTACHED) {
 		wake_up(&ipcrtr_ctx->read_wait_q);
@@ -237,8 +237,7 @@ static void ipcrtr_read_cb(struct urb *urb)
 		break;
 	case -EPIPE:
 		/* Stall is a temporary condition, re-submit URB */
-		dev_err(&ipcrtr_ctx->udev->dev,
-				"%s Control Pipe Stalled %d urb status %d \n",
+		pr_err("%s Control Pipe Stalled %d urb status %d \n",
 				__func__, urb->dev->state, urb->status);
 		ipcrtr_ctx->control_pipe_stall++;
 		break;
@@ -247,8 +246,7 @@ static void ipcrtr_read_cb(struct urb *urb)
 	case -ESHUTDOWN:
 	case -ECONNRESET:
 	case -EPROTO:
-		dev_err(&ipcrtr_ctx->udev->dev,
-				"%s Connection Reset %d urb status %d \n",
+		pr_err("%s Connection Reset %d urb status %d \n",
 				__func__, urb->dev->state, urb->status);
 		resubmit = false;
 		goto done;
@@ -263,7 +261,7 @@ static void ipcrtr_read_cb(struct urb *urb)
 
 	pkt = kmalloc(sizeof(*pkt), GFP_ATOMIC);
 	if (!pkt) {
-		dev_err(&ipcrtr_ctx->intf->dev, "fail to allocate pkt\n");
+		pr_err(" %s fail to allocate pkt\n", __func__);
 		resubmit = false;
 		goto done;
 	}
@@ -271,7 +269,7 @@ static void ipcrtr_read_cb(struct urb *urb)
 	pkt->buf = kmalloc(pkt->len, GFP_ATOMIC);
 	if (!pkt->buf) {
 		kfree(pkt);
-		dev_err(&ipcrtr_ctx->intf->dev, "fail to allocate pkt buffer\n");
+		pr_err("%s - fail to allocate pkt buffer\n",__func__);
 		resubmit = false;
 		goto done;
 	}
@@ -312,7 +310,7 @@ static void ipcrtr_int_cb(struct urb *urb)
 		pr_err("IPCRTR stuct not initialized \n");
 		return -EINVAL;
 	}
-	dev_dbg(&ipcrtr_ctx->udev->dev,"%s -- usb dev state %d urb status %d\n"
+	pr_debug("%s -- usb dev state %d urb status %d\n"
 				,__func__, urb->dev->state, urb->status);
 
 	if (urb->dev->state == USB_STATE_NOTATTACHED)
@@ -331,8 +329,7 @@ static void ipcrtr_int_cb(struct urb *urb)
 	case -ECONNRESET:
 	case -EPROTO:
 	case -EPIPE:
-		dev_err(&ipcrtr_ctx->udev->dev,
-				"%s Connection Reset %d urb status %d \n",
+		pr_err("%s Connection Reset %d urb status %d \n",
 				__func__, urb->dev->state, urb->status);
 		return;
 
@@ -356,21 +353,19 @@ static void ipcrtr_int_cb(struct urb *urb)
 
 		status = usb_submit_urb(ipcrtr_ctx->readurb, GFP_ATOMIC);
 		if (status) {
-			dev_err(&ipcrtr_ctx->intf->dev, "read urb submit err %d\n",
-					status);
+			pr_err("read urb submit err %d\n",status);
 			goto resubmit_int_urb;
 		}
 		ipcrtr_ctx->get_encap_resp++;
 		return;
 	default:
-		dev_err(&ipcrtr_ctx->intf->dev, "unknown data on int ep\n");
+		pr_err(" %s - unknown data on int ep\n",__func__);
 	}
 
 resubmit_int_urb:
 	status = usb_submit_urb(urb, GFP_ATOMIC);
 	if (status) {
-		dev_err(&ipcrtr_ctx->intf->dev,
-			"%s -- int urb re-submit err %d\n",__func__, status);
+		pr_err("%s -- int urb re-submit err %d\n",__func__, status);
 	}
 }
 
@@ -391,7 +386,7 @@ static int ipcrtr_ctrl_open(void)
 	mutex_lock(&ipcrtr_ctx->open_mutex);
 	if (ipcrtr_ctx->opened) {
 		mutex_unlock(&ipcrtr_ctx->open_mutex);
-		dev_dbg(&ipcrtr_ctx->intf->dev, "IPC USB RTR already opened\n");
+		pr_err("IPC USB RTR already opened\n");
 		return -EBUSY;
 	}
 	ipcrtr_ctx->opened = true;
@@ -435,12 +430,11 @@ ipcrtr_ctrl_read(char *buf, unsigned int count)
 		return -EINVAL;
 	}
 	if (!ipcrtr_ctx->opened) {
-		dev_err(&ipcrtr_ctx->intf->dev, "read() called before open()\n");
+		pr_err("read() called before open()\n");
 		return -EPERM;
 	}
 	if (count > IPC_USB_MAX_READ_SZ) {
-		dev_err(&ipcrtr_ctx->intf->dev, "read size (%d) > max read length \n",
-							count);
+		pr_err("read size (%d) > max read length \n",count);
 		return -ENOSPC;
 	}
 
@@ -457,12 +451,12 @@ ipcrtr_ctrl_read(char *buf, unsigned int count)
 	if (!atomic_read(&ipcrtr_ctx->connected))
 		return -ECONNRESET;
 
-	dev_dbg(&ipcrtr_ctx->udev->dev,"%s - Packet Received Usb\n",__func__);
+	pr_debug("%s - Packet Received Usb\n",__func__);
 	spin_lock_irqsave(&ipcrtr_ctx->lock, flags);
 	pkt = list_first_entry(&ipcrtr_ctx->rx_list, struct ipcrtr_ctl_pkt, list);
 	if (pkt->len > count) {
 		spin_unlock_irqrestore(&ipcrtr_ctx->lock, flags);
-		dev_err(&ipcrtr_ctx->intf->dev, "large RX packet\n");
+		pr_err(" %s - large RX packet\n",__func__);
 		ret = -ENOSPC;
 		goto done;
 	}
@@ -494,14 +488,13 @@ ipcrtr_ctrl_write(char *buf, unsigned int count)
 		pr_err("IPCRTR stuct not initialized \n");
 		return -EINVAL;
 	}
-	dev_dbg(&ipcrtr_ctx->udev->dev,"%s - Packet to be send\n",__func__);
+	pr_debug("%s - Packet to be send\n",__func__);
 	if (!ipcrtr_ctx->opened) {
-		dev_err(&ipcrtr_ctx->intf->dev, "read() called before open()\n");
+		pr_err("read() called before open()\n");
 		return -EPERM;
 	}
 	if (count > IPC_USB_MAX_WRITE_SZ) {
-		dev_err(&ipcrtr_ctx->intf->dev,"write size(%d) > max write length\n",
-							count);
+		pr_err("write size(%d) > max write length\n",count);
 		return -ENOSPC;
 	}
 
@@ -516,7 +509,7 @@ ipcrtr_ctrl_write(char *buf, unsigned int count)
 
 	ret = usb_submit_urb(ipcrtr_ctx->writeurb, GFP_KERNEL);
 	if (ret < 0) {
-		dev_err(&ipcrtr_ctx->intf->dev, "write urb submit err %d\n", ret);
+		pr_err("write urb submit err %d\n", ret);
 		goto done;
 	}
 	ipcrtr_ctx->snd_encap_cmd++;
@@ -546,7 +539,7 @@ static void ipcrtr_ctrl_close(void)
 	mutex_lock(&ipcrtr_ctx->open_mutex);
 	if (!ipcrtr_ctx->opened) {
 		mutex_unlock(&ipcrtr_ctx->open_mutex);
-		dev_dbg(&ipcrtr_ctx->intf->dev, "IPC USB RTR not opened\n");
+		pr_err("IPC USB RTR not opened\n");
 		return;
 	}
 	ipcrtr_ctx->opened = false;
@@ -667,11 +660,10 @@ static void usb_xprt_deinit(struct work_struct *work)
 		pr_err("IPCRTR stuct not initialized \n");
 		return -EINVAL;
 	}
-	dev_info(&ipcrtr_ctx->udev->dev, "%s -- Enter \n", __func__);
+	pr_info("%s -- Enter \n", __func__);
 
 	if (atomic_read(&ipcrtr_ctx->connected)) {
-		dev_err(&ipcrtr_ctx->udev->dev,
-			"%s - Usb cable is still connected \n", __func__);
+		pr_err("%s - Usb cable is still connected \n", __func__);
 		return;
 	}
 
@@ -679,9 +671,9 @@ static void usb_xprt_deinit(struct work_struct *work)
 	ret = msm_ipc_router_usb_ipc_xprt_unregister(&xprt_ops);
 	wait_for_completion(&ipcrtr_ctx->xprt_cleanup_done);
 	if (ret)
-		dev_err(&ipcrtr_ctx->intf->dev,"XPRT de-registration Failed,err#%d\n",ret);
+		pr_err("XPRT de-registration Failed,err#%d\n",ret);
 	else
-		dev_info(&ipcrtr_ctx->intf->dev,"XPRT de-registration sucess \n");
+		pr_info("XPRT de-registration sucess \n");
 
 	ipcrtr_debugfs_cleanup();
 
@@ -732,24 +724,24 @@ ipcrtr_probe(struct usb_interface *intf, const struct usb_device_id *id)
 	int ret;
 
 	intf_desc = intf->cur_altsetting;
-	dev_info(&intf->dev, "%s --  bNumEndpoints %d \n",
-			__func__, intf_desc->desc.bNumEndpoints);
+	pr_info("%s --  bNumEndpoints %d \n",__func__,
+					intf_desc->desc.bNumEndpoints);
 	if (intf_desc->desc.bNumEndpoints != 1 || !usb_endpoint_is_int_in(
 				&intf_desc->endpoint[0].desc)) {
-		dev_err(&intf->dev, "driver expects only 1 int ep\n");
+		pr_err("driver expects only 1 int ep\n");
 		return -ENODEV;
 	}
 
 	ipcrtr = kzalloc(sizeof(struct ipcrtr), GFP_KERNEL);
 	if (!ipcrtr) {
-		dev_err(&intf->dev, "fail to allocate dev\n");
+		pr_err("fail to allocate dev\n");
 		return -ENOMEM;
 	}
 	ipcrtr_global_ctx = ipcrtr;
 
 	ipcrtr->inturb = usb_alloc_urb(0, GFP_KERNEL);
 	if (!ipcrtr->inturb) {
-		dev_err(&intf->dev, "fail to allocate int urb\n");
+		pr_err("fail to allocate int urb\n");
 		ret = -ENOMEM;
 		goto free_dev;
 	}
@@ -759,8 +751,7 @@ ipcrtr_probe(struct usb_interface *intf, const struct usb_device_id *id)
 
 	ipcrtr->intbuf = kmalloc(wMaxPacketSize, GFP_KERNEL);
 	if (!ipcrtr->intbuf) {
-		dev_err(&intf->dev, "%s: error allocating int buffer\n",
-			__func__);
+		pr_err("%s: error allocating int buffer\n",__func__);
 		ret = -ENOMEM;
 		goto free_inturb;
 	}
@@ -772,7 +763,7 @@ ipcrtr_probe(struct usb_interface *intf, const struct usb_device_id *id)
 
 	ipcrtr->in_ctlreq = kmalloc(sizeof(*ipcrtr->in_ctlreq), GFP_KERNEL);
 	if (!ipcrtr->in_ctlreq) {
-		dev_err(&intf->dev, "error allocating IN control req\n");
+		pr_err("error allocating IN control req\n");
 		ret = -ENOMEM;
 		goto free_intbuf;
 	}
@@ -786,14 +777,14 @@ ipcrtr_probe(struct usb_interface *intf, const struct usb_device_id *id)
 
 	ipcrtr->readurb = usb_alloc_urb(0, GFP_KERNEL);
 	if (!ipcrtr->readurb) {
-		dev_err(&intf->dev, "fail to allocate read urb\n");
+		pr_err("fail to allocate read urb\n");
 		ret = -ENOMEM;
 		goto free_in_ctlreq;
 	}
 
 	ipcrtr->readbuf = kmalloc(IPC_USB_MAX_READ_SZ, GFP_KERNEL);
 	if (!ipcrtr->readbuf) {
-		dev_err(&intf->dev, "fail to allocate read buffer\n");
+		pr_err("fail to allocate read buffer\n");
 		ret = -ENOMEM;
 		goto free_readurb;
 	}
@@ -806,7 +797,7 @@ ipcrtr_probe(struct usb_interface *intf, const struct usb_device_id *id)
 
 	ipcrtr->out_ctlreq = kmalloc(sizeof(*ipcrtr->out_ctlreq), GFP_KERNEL);
 	if (!ipcrtr->out_ctlreq) {
-		dev_err(&intf->dev, "error allocating OUT control req\n");
+		pr_err("error allocating OUT control req\n");
 		ret = -ENOMEM;
 		goto free_readbuf;
 	}
@@ -819,15 +810,14 @@ ipcrtr_probe(struct usb_interface *intf, const struct usb_device_id *id)
 
 	ipcrtr->writeurb = usb_alloc_urb(0, GFP_KERNEL);
 	if (!ipcrtr->writeurb) {
-		dev_err(&intf->dev, "fail to allocate write urb\n");
+		pr_err("fail to allocate write urb\n");
 		ret = -ENOMEM;
 		goto free_out_ctlreq;
 	}
 
 	ipcrtr->ipcrtr_wq = create_singlethread_workqueue("ipcrtr");
 	if (!ipcrtr->ipcrtr_wq) {
-		dev_err(&intf->dev, "%s: WQ creation failed for %s",
-							__func__,"ipcrtr");
+		pr_err("%s: WQ creation failed for %s",	__func__,"ipcrtr");
 		ret = -ENOMEM;
 		goto free_writeurb;
 	}
@@ -849,7 +839,7 @@ ipcrtr_probe(struct usb_interface *intf, const struct usb_device_id *id)
 
 	ret = ipcrtr_submit_inturb(ipcrtr, GFP_KERNEL);
 	if (ret) {
-		dev_err(&intf->dev, "fail to start reading\n");
+		pr_err("fail to start reading\n");
 		goto destroy_mutex;
 	}
 
@@ -858,7 +848,7 @@ ipcrtr_probe(struct usb_interface *intf, const struct usb_device_id *id)
 	/* Register with USB IPC XPRT layer */
 	ret = msm_ipc_router_usb_ipc_xprt_register(&xprt_ops);
 	if (ret) {
-		dev_err(&intf->dev, "XPRT Registration Failed, err#%d ", ret);
+		pr_err("XPRT Registration Failed, err#%d ", ret);
 		return -EINVAL;
 	}
 
@@ -910,21 +900,21 @@ static void ipcrtr_disconnect(struct usb_interface *intf)
 		pr_err("IPCRTR stuct not initialized \n");
 		return -EINVAL;
 	}
-	dev_info(&ipcrtr_ctx->intf->dev, "%s -- \n",__func__);
+	pr_info("%s -- \n",__func__);
 
 	atomic_set(&ipcrtr_ctx->connected, 0);
 
 	/* Setup dummy packet */
 	pkt = kmalloc(sizeof(*pkt), GFP_ATOMIC);
 	if (!pkt) {
-		dev_err(&ipcrtr_ctx->intf->dev, "fail to allocate pkt\n");
+		pr_err("fail to allocate pkt\n");
 		return -ENOMEM;
 	}
 	pkt->len = 100;
 	pkt->buf = kmalloc(pkt->len, GFP_ATOMIC);
 	if (!pkt->buf) {
 		kfree(pkt);
-		dev_err(&ipcrtr_ctx->intf->dev, "fail to allocate pkt buffer\n");
+		pr_err("fail to allocate pkt buffer\n");
 		return -ENOMEM;
 	}
 
-- 
1.8.2.1

